Сообщество русскоговорящих пользователей
CMS DotNetNuke
   Вы здесь:  Форум
Добро пожаловать, Гость. Чтобы воспользоваться всеми функциями форума - зарегистрируйтесь или аутентифицируйтесь.
Влад Offline
#1 Оставлено : 20 февраля 2013 г. 15:20:09(UTC)
Влад

Статус: Продвинутый

Зарегистрирован: 12.08.2011(UTC)
Сообщений: 83
Откуда: N/A

Сказал(а) «Спасибо»: 22 раз
Поблагодарили: 1 раз в 1 постах
Здравствуйте!
Скачал последнюю версию.

Как правильно обновить текущую?

Спасибо
Реклама
tsb2009 Offline
#2 Оставлено : 20 февраля 2013 г. 19:57:51(UTC)
tsb2009

Статус: Участник

Зарегистрирован: 16.04.2009(UTC)
Сообщений: 47
Откуда: Russian Federation

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 11 раз в 9 постах
Добрый день!
1. Скачать обновление
2. Сделать копию текущих файлов полностью (всю папку DNN)
3. Сделать бэкап базы SQL
4. Разархивировать все из обновления в папку DNN (замена всех файлов и папок)
5. Зайти на сайт и далее следовать инструкциям на экране

если пошло что-то не так то восстановить из копий, и дождаться следующего обновления)

 2 пользователей поблагодарили tsb2009 за этот пост.
Влад оставлено 21.02.2013(UTC), asimo оставлено 17.04.2013(UTC)
balbes Offline
#3 Оставлено : 21 февраля 2013 г. 9:19:00(UTC)
balbes

Статус: Профессионал

Зарегистрирован: 10.08.2008(UTC)
Сообщений: 928

Откуда: Ukraine

Сказал «Спасибо»: 13 раз
Поблагодарили: 141 раз в 138 постах
Если обновляетесь с очень ранних версий, то используйте рекомендуемый путь обновления
 1 пользователь поблагодарил balbes за этот пост.
Влад оставлено 21.02.2013(UTC)
Влад Offline
#4 Оставлено : 21 февраля 2013 г. 15:21:33(UTC)
Влад

Статус: Продвинутый

Зарегистрирован: 12.08.2011(UTC)
Сообщений: 83
Откуда: N/A

Сказал(а) «Спасибо»: 22 раз
Поблагодарили: 1 раз в 1 постах
а по практике, лучше сначала модули обновить, а потом версию DNN или как?

Потому что если обновить версию, а ошибка будет в модуле (с версией DNN не дружит), то потом и сайт не запустишь, чтобы модуль обновить..

Владимир Offline
#5 Оставлено : 26 марта 2013 г. 9:25:42(UTC)
Владимир

Статус: Новичок

Зарегистрирован: 01.04.2012(UTC)
Сообщений: 2


Сказал(а) «Спасибо»: 1 раз
День добрый. Есть локальная установка DNN 6.1.5. До версии 6.2.5 обновляется без проблем, при обновлении до версии 7 валится с ошибками:

Could not load file or assembly 'ClientDependency.Core' or one of its dependencies. This assembly is built by a
runtime newer than the currently loaded runtime and cannot be loaded.

Description: An unhandled exception occurred during the execution of the current web request. Please review the
stack trace for more information about the error and where it originated in the code.

Exception Details: System.BadImageFormatException: Could not load file or assembly 'ClientDependency.Core' or
one of its dependencies. This assembly is built by a runtime newer than the currently loaded runtime and cannot
be loaded.

В чём может быть проблема?
balbes Offline
#6 Оставлено : 26 марта 2013 г. 10:10:33(UTC)
balbes

Статус: Профессионал

Зарегистрирован: 10.08.2008(UTC)
Сообщений: 928

Откуда: Ukraine

Сказал «Спасибо»: 13 раз
Поблагодарили: 141 раз в 138 постах
Установите версию 4.0 ASP.NET для AppPool-a сайта
DotNetNuke System Requirements
 1 пользователь поблагодарил balbes за этот пост.
Владимир оставлено 26.03.2013(UTC)
Владимир Offline
#7 Оставлено : 26 марта 2013 г. 10:52:27(UTC)
Владимир

Статус: Новичок

Зарегистрирован: 01.04.2012(UTC)
Сообщений: 2


Сказал(а) «Спасибо»: 1 раз
Спасибо, попробую!
Пользователи, просматривающие эту тему
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.



 
OpenedBorderBoxed Small width layoutMedium width layoutMaximum width layout Small textMedium textMaximum text